Translate session action in dash

Bug #1575222 reported by Olivier Febwin on 2016-04-26
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Low
Unassigned
session-shortcuts (Ubuntu)
Low
Gunnar Hjalmarsson
Xenial
Low
Gunnar Hjalmarsson
Yakkety
Low
Unassigned
Zesty
Low
Gunnar Hjalmarsson

Bug Description

[Impact]

Session actions (shutdown, reboot, logout) are now available from Unity Dash on ubuntu 16.04 but are not translated.

The proposed upload adds X-Ubuntu-Gettext-Domain=session-shortcuts to the .desktop files to make them load the translations.

To the sponsor: A debdiff for artful has been attached. Please use the same for zesty and xenial, while changing the first line in the changelog.

[Test Case]

Install the updated package, start a non-English session, and find that the action names are now localized.

[Regression Potential]

None.

Sebastien Bacher (seb128) wrote :

Thanks, the template was waiting for review but now it can be translated there, https://translations.launchpad.net/ubuntu/xenial/+source/session-shortcuts

no longer affects: unity-lens-applications
affects: unity-lens-applications (Ubuntu) → session-shortcuts (Ubuntu)
Changed in session-shortcuts (Ubuntu):
importance: Undecided → Low
Olivier Febwin (febcrash) wrote :

Thanks
Done for french!

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in session-shortcuts (Ubuntu):
status: New → Confirmed
Jean-Marc (m-balthazar) on 2016-04-29
Changed in ubuntu-translations:
status: New → In Progress
Sigitas Kalinas (skalinas) wrote :

Ubuntu 16.04.1 did not fix it.

AsciiWolf (asciiwolf) wrote :

Would it be possible to release a new version of session-shortcuts which includes this fix and other translation updates?

Olivier Febwin (febcrash) wrote :

+1

no longer affects: language-selector (Ubuntu Zesty)
no longer affects: language-selector (Ubuntu Xenial)
no longer affects: language-selector (Ubuntu)
Changed in session-shortcuts (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
Changed in session-shortcuts (Ubuntu Xenial):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Low
status: New → In Progress
Changed in session-shortcuts (Ubuntu Zesty):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Low
status: New → In Progress
description: updated
tags: added: patch
Jeremy Bicha (jbicha) wrote :

I have uploaded this to 17.10 Alpha "Artful" and SRUs to 16.04 LTS, 16.10 and 17.04. The SRUs will need to be manually approved be a member of the Ubuntu SRU team before the updates are built and available for testing.

I am unsubscribing ~ubuntu-sponsors now. Feel free to resubscribe if you have something else that needs sponsoring.

Changed in session-shortcuts (Ubuntu):
status: In Progress → Fix Committed
Changed in session-shortcuts (Ubuntu Yakkety):
importance: Undecided → Low
status: New → In Progress
Olivier Febwin (febcrash) wrote :

Thank you Jeremy and Gunnar!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package session-shortcuts - 1.3

---------------
session-shortcuts (1.3) artful; urgency=medium

  * Add X-Ubuntu-Gettext-Domain=session-shortcuts so translations are
    loaded (LP: #1575222).

 -- Gunnar Hjalmarsson <email address hidden> Mon, 26 Jun 2017 15:05:00 +0200

Changed in session-shortcuts (Ubuntu):
status: Fix Committed → Fix Released

Hello Olivier, or anyone else affected,

Accepted session-shortcuts into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/session-shortcuts/1.2ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in session-shortcuts (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
Changed in session-shortcuts (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed-zesty
Łukasz Zemczak (sil2100) wrote :

Hello Olivier, or anyone else affected,

Accepted session-shortcuts into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/session-shortcuts/1.2ubuntu0.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in session-shortcuts (Ubuntu Yakkety):
status: In Progress → Fix Committed
tags: added: verification-needed-yakkety
Łukasz Zemczak (sil2100) wrote :

Hello Olivier, or anyone else affected,

Accepted session-shortcuts into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/session-shortcuts/1.2ubuntu0.16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-yakkety to verification-done-yakkety. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-yakkety. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Olivier Febwin (febcrash) wrote :

ok on zesty

tags: added: verification-needed-done
removed: verification-needed-zesty
Changed in session-shortcuts (Ubuntu Zesty):
status: Fix Committed → Confirmed
status: Confirmed → Fix Committed
tags: added: verification-done-trusty
removed: verification-needed-done
tags: added: verification-done-zesty
removed: verification-needed
tags: removed: verification-done-trusty
Gunnar Hjalmarsson (gunnarhj) wrote :

I installed session-shortcuts 1.2ubuntu0.16.04.1 from xenial-proposed, started a French session, and found that the action names in Dash appear in French.

For many other languages it doesn't work yet, though, but it will as soon as an update of the xenial language packs has been accomplished.

tags: added: verification-done-xenial
removed: verification-needed-xenial
Changed in ubuntu-translations:
importance: Undecided → Low
Olivier Febwin (febcrash) wrote :

Thanks Gunnar!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package session-shortcuts - 1.2ubuntu0.16.04.1

---------------
session-shortcuts (1.2ubuntu0.16.04.1) xenial; urgency=medium

  * Add X-Ubuntu-Gettext-Domain=session-shortcuts so translations are
    loaded (LP: #1575222).

 -- Gunnar Hjalmarsson <email address hidden> Mon, 26 Jun 2017 15:05:00 +0200

Changed in session-shortcuts (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for session-shortcuts has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package session-shortcuts - 1.2ubuntu0.17.04.1

---------------
session-shortcuts (1.2ubuntu0.17.04.1) zesty; urgency=medium

  * Add X-Ubuntu-Gettext-Domain=session-shortcuts so translations are
    loaded (LP: #1575222).

 -- Gunnar Hjalmarsson <email address hidden> Mon, 26 Jun 2017 15:05:00 +0200

Changed in session-shortcuts (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers